UbuntuUpdates.org

Package "systemd-tests"

Name: systemd-tests

Description:

tests for systemd

Latest version: 239-7ubuntu10.12
Release: cosmic (18.10)
Level: security
Repository: universe
Head package: systemd
Homepage: https://www.freedesktop.org/wiki/Software/systemd

Links

Save this URL for the latest version of "systemd-tests": https://www.ubuntuupdates.org/systemd-tests


Download "systemd-tests"


Other versions of "systemd-tests" in Cosmic

Repository Area Version
base universe 239-7ubuntu10
updates universe 239-7ubuntu10.14

Changelog

Version: 239-7ubuntu10.12 2019-04-08 12:07:09 UTC

  systemd (239-7ubuntu10.12) cosmic-security; urgency=medium

  * SECURITY UDPATE: Unsafe environment usage in pam_systemd.so leads to
    incorrect Policykit authorization
    - debian/patches/CVE-2019-3842.patch: Use secure_getenv() rather than
      getenv() in pam_systemd.c
    - CVE-2019-3842

 -- Chris Coulson <email address hidden> Wed, 03 Apr 2019 11:52:48 +0100

Source diff to previous version
CVE-2019-3842 RESERVED

Version: 239-7ubuntu10.8 2019-02-18 17:07:12 UTC

  systemd (239-7ubuntu10.8) cosmic-security; urgency=medium

  * SECURITY UPDATE: denial of service via crafted dbus message
    - debian/patches/CVE-2019-6454.patch: sd-bus: enforce a size limit for
      dbus paths, and don't allocate them on the stack
    - debian/patches/sd-bus-if-we-receive-an-invalid-dbus-message-ignore-.patch:
      sd-bus: if we receive an invalid dbus message, ignore and proceeed
    - CVE-2019-6454

  * Do not remove multiple spaces after identifier in syslog message
    - add debian/patches/journal-do-not-remove-multiple-spaces-after-identifi.patch

 -- Chris Coulson <email address hidden> Tue, 12 Feb 2019 00:41:18 +0000

Source diff to previous version
CVE-2019-6454 systemd (PID1) crash with specially crafted D-Bus message

Version: 239-7ubuntu10.6 2019-01-11 04:10:08 UTC

  systemd (239-7ubuntu10.6) cosmic-security; urgency=medium

  * SECURITY UPDATE: memory corruption in journald via attacker controlled alloca
    - debian/patches/CVE-2018-16864.patch: journald: do not store the iovec
      entry for process commandline on the stack
    - CVE-2018-16864
  * SECURITY UPDATE: memory corruption in journald via attacker controlled alloca
    - debian/patches/CVE-2018-16865_1.patch: journald: set a limit on the
      number of fields (1k)
    - debian/patches/CVE-2018-16865_2.patch: journal-remote: set a limit on the
      number of fields in a message
    - CVE-2018-16865
  * SECURITY UPDATE: out-of-bounds read in journald
    - debian/patches/CVE-2018-16866.patch: journal: fix syslog_parse_identifier()
    - CVE-2018-16866

  * Fix LP: #1804603 - btrfs-util: unbreak tmpfiles' subvol creation
    - add debian/patches/btrfs-util-unbreak-tmpfiles-subvol-creation.patch
    - update debian/patches/series
  * Fix LP: #1804864 - test: Set executable bits on TEST-22-TMPFILES shell scripts
    - add debian/patches/test-Set-executable-bits-on-TEST-22-TMPFILES-shell-script.patch
    - update debian/patches/series

 -- Chris Coulson <email address hidden> Wed, 09 Jan 2019 14:37:15 +0000

Source diff to previous version
1804603 systemd-tmpfiles-setup.service fails on btrfs
1804864 autopkgtest regression TEST-22-TMPFILES are not executable
CVE-2018-16864 memory corruption
CVE-2018-16865 memory corruption
CVE-2018-16866 information leak, out-of-bounds read

Version: 239-7ubuntu10.4 2018-11-19 18:07:27 UTC

  systemd (239-7ubuntu10.4) cosmic-security; urgency=medium

  [ Chris Coulson ]
  * SECURITY UPDATE: symlink mishandling in systemd-tmpfiles
    - debian/patches/CVE-2018-6954_2.patch: backport the remaining patches to
      resolve this completely
    - CVE-2018-6954

  [ Balint Reczey ]
  * Fix LP: #1803391 - Skip daemon-reexec and try-restarts during shutdown
    - update debian/systemd.postinst

 -- Chris Coulson <email address hidden> Thu, 15 Nov 2018 20:42:32 +0000

Source diff to previous version
1803391 Systemd update installation hangs in unattended-upgrades InstallOnShutdown mode
CVE-2018-6954 systemd-tmpfiles in systemd through 237 mishandles symlinks present in non-terminal path components, which allows local users to obtain ownership of

Version: 239-7ubuntu10.3 2018-11-12 15:07:03 UTC

  systemd (239-7ubuntu10.3) cosmic-security; urgency=medium

  * SECURITY UPDATE: reexec state injection
    - debian/patches/CVE-2018-15686.patch: when deserializing state always use
      read_line(…, LONG_LINE_MAX, …) rather than fgets()
    - CVE-2018-15686
  * SECURITY UPDATE: chown_one() can dereference symlinks
    - debian/patches/CVE-2018-15687.patch: rework recursive logic to use O_PATH
    - CVE-2018-15687

 -- Chris Coulson <email address hidden> Tue, 06 Nov 2018 20:52:41 +0000

CVE-2018-15686 A vulnerability in unit_deserialize of systemd allows an attacker to supply arbitrary state across systemd re-execution via NotifyAccess. This can be
CVE-2018-15687 A race condition in chown_one() of systemd allows an attacker to cause systemd to set arbitrary permissions on arbitrary files. Affected releases are



About   -   Send Feedback to @ubuntu_updates